QUESTION: insert components on sphere surface
-
Hi guys,
As shown in the attached pic, I have a cylinder like structure with made of several components. I would like to "insert" this onto a sphere surface but wonder how can I do that.
As the sphere is a curve surface and I want to cover the sphere surface with this component. Can anyone help me?
Thanks!
-
You could set the component you showed to glue to any surface. If you turn on Hidden Geometry, you'll see the sphere isn't really curved but a collection of flat faces. You can then insert the component onto those faces. There's probably a plugin to do the same thing.
I would set the component's axis so the origin is at the bottom center of the component since the origin is the insertion point.
-
Hi Dave,
Thanks!
Can you explain further this?
"I would set the component's axis so the origin is at the bottom center of the component since the origin is the insertion point."
Thank you again.
-
Right click on the component and you'll see an option for Change Axes. You'll then be able to click to set the origin and the direction of the red and green axes--the blue takes care of itself. You can use a couple of guidelines placed so they cross at the bottom center of the component to make it easier to locate the origin and axis alignment.
You might find something helpful in this as well.
-
-
OR you could make the component a 'gluing component', 'any-surface', with it's origin at the base center, then it'd auto-align itself onto any facet on the spherical form.
To find the center of each face, select the face[s] and run this one-liner in the Ruby Console to add cpoints [guide-points] centrally on all >3-sided facets [at the poles place object on apex]...
m=Sketchup.active_model;es=m.active_entities;m.selection.each{|f|next if f.class!=Sketchup::Face;if f.edges[3];es.add_cpoint(f.bounds.center.project_to_plane(f.plane))end}
-
TIG, you always manage to say things with fewer words than I do.
Advertisement